﻿@using ASP.NET_MVC5_WebShopExample.Models.ViewModels
@model ImageViewModel

@{
    ViewBag.Title = "Delete image";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.Hidden("bakcUrl", Model.BackUrl)
        var src = Url.Action("GetImage", new { id = Model.Image.ImageId });
        <h4>Image</h4>
        <hr />
        <div>
            <a href="src" title="@Model.Image.Name">
                <img src="@src" alt="@Model.Image.Name" class="img-thumbnail"/>
            </a>
        </div>
        <div class="caption">
            <h3>@Model.Image.Name</h3>
            <p>@Model.Image.Description</p>
            <p>
                <input type="submit" value="Delete" class="btn btn-danger" />
                <a class="btn btn-default" href="@Model.BackUrl">Cancel</a>
            </p>
        </div>
    }
</div>
